# README

This small challenge has three different bugs that you'll have to trigger
using both the fuzzer and the DSE of your choice.

The program is quite simple, it receives input from `stdin` an it either
crashes or returns `0` as exit code. Below you can see a simple invocation:

```bash
echo "Hello World!" | ./challenge | echo $?
0
```

For better identification, when a bug is triggered it is reported as a
`Floating point exception`, as shown below:

```bash
cat trigger-bug.input | ./challenge
Floating point exception
```

The goal is to trigger as many bugs as possible. To achieve this, you'll have
to employ both techniques mentioned at the beginning. You can do this
independently (that is, working with each technique in isolation) or combine
them to make them work collaboratively.

We'll ask you to present the scripts (and any other material) you wrote to
solve the challenge. Please, make sure everything you hand in is well
commented and documented (and that can be run/reproduce on our side as
well).

We'll ask you as well to write a small report on which you describe how you
approach the challenge, how you manage to trigger the bugs, which technique was
most useful for any given bug, what were the main difficulties you encountered
and any other piece of information you think is relevant to include.

Keep in mind that we are interested in the though process, the methodology you
use and how you use the techniques and tools rather than merely triggering
the bugs.
